#ifndef OPTS_H
#define OPTS_H

#define STRCAT_STR_USAGE( dest, maxlen_dst ) \
    strncat( dest, "Usage : " , maxlen_dst ); \
    strncat( dest, argv[0], maxlen_dst ); \
    strncat( dest, " {options}\n" , maxlen_dst ); \
    strncat( dest, get_str_help(), maxlen_dst )

extern char *get_str_help();

extern int valide_opts(int argc, char *argv[], unsigned char *help,
                       unsigned char *silent_mode,
                       char *nom_fichier_sortie,
                       int maxlen_nom_fichier_sortie,
                       unsigned long *taille_x, unsigned long *taille_y,
                       unsigned long *taille_z, char *buffer_erreur,
                       int maxlen_erreur);
#endif                          /* OPTS_H */
